WP6OutlineDefinition Class Reference

`#include <WP6ContentListener.h>`

## Public Member Functions

| WP6OutlineDefinition ()
| WP6OutlineDefinition (const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag)
void | update (const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag)
WPXNumberingType | getListType (int level)

## Protected Member Functions

void | _updateNumberingMethods (const unsigned char *numberingMethods)

## Private Attributes

WPXNumberingType | m_listTypes [WP6_NUM_LIST_LEVELS]

## Constructor & Destructor Documentation

## WP6OutlineDefinition() [1/2]

WP6OutlineDefinition::WP6OutlineDefinition | ( |  | ) |

## WP6OutlineDefinition() [2/2]

WP6OutlineDefinition::WP6OutlineDefinition | ( | const unsigned char * | numberingMethods,
|  | const unsigned char | tabBehaviourFlag )

## Member Function Documentation

## _updateNumberingMethods()

void WP6OutlineDefinition::_updateNumberingMethods | ( | const unsigned char * | numberingMethods | ) |

protected

Referenced by update(), WP6OutlineDefinition(), and WP6OutlineDefinition().

## getListType()

WPXNumberingType WP6OutlineDefinition::getListType | ( | int | level | ) |

inline

Referenced by WP6ContentListener::_handleListChange().

## update()

void WP6OutlineDefinition::update | ( | const unsigned char * | numberingMethods,
|  | const unsigned char | tabBehaviourFlag )

Referenced by WP6ContentListener::updateOutlineDefinition().

## Member Data Documentation

## m_listTypes

WPXNumberingType WP6OutlineDefinition::m_listTypes[WP6_NUM_LIST_LEVELS]

private

Referenced by _updateNumberingMethods(), and getListType().

The documentation for this class was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp